Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Interface NameList

    public interface NameList

The `NameList` interface provides the abstraction of an ordered collection of parallel pairs of name and namespace values (which could be null values), without defining or constraining how this collection is implemented. The items in the `NameList` are accessible via an integral index, starting from 0.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Method Summary
`boolean` | `contains(String str)` Test if a name is part of this `NameList`.
`boolean` | `containsNS(String namespaceURI, String name)` Test if the pair namespaceURI/name is part of this `NameList`.
`int` | `getLength()` The number of pairs (name and namespaceURI) in the list.
`String` | `getName(int index)` Returns the `index`th name item in the collection.
`String` | `getNamespaceURI(int index)` Returns the `index`th namespaceURI item in the collection.

Method Detail

### getName

    String getName(int index)

  Returns the `index`th name item in the collection.

  Parameters:
    `index` - Index into the collection.
  Returns:
    The name at the `index`th position in the `NameList`, or `null` if there is no name for the specified index or if the index is out of range.

### getNamespaceURI

    String getNamespaceURI(int index)

  Returns the `index`th namespaceURI item in the collection.

  Parameters:
    `index` - Index into the collection.
  Returns:
    The namespace URI at the `index`th position in the `NameList`, or `null` if there is no name for the specified index or if the index is out of range.

### getLength

    int getLength()

  The number of pairs (name and namespaceURI) in the list. The range of valid child node indices is 0 to `length-1` inclusive.

### contains

    boolean contains(String str)

  Test if a name is part of this `NameList`.

  Parameters:
    `str` - The name to look for.
  Returns:
    `true` if the name has been found, `false` otherwise.

### containsNS

    boolean containsNS(String namespaceURI,
                       String name)

  Test if the pair namespaceURI/name is part of this `NameList`.

  Parameters:
    `namespaceURI` - The namespace URI to look for.
    `name` - The name to look for.
  Returns:
    `true` if the pair namespaceURI/name has been found, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Common DOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.